# Simple Fortran source code workflow diagram

This is a simple Python program that reads a lex file created with fsource from the original Fortran code (F90) and outputs the blocks and the list of subroutines and functions in each block.

Of course, it is a work in progress.
